Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class Tasklist

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JScrollPane
                              |
                              +--com.bea.wlpi.client.common.Tasklist

public class Tasklist
extends javax.swing.JScrollPane
implements javax.jms.MessageListener

Displays a list of tasks for a user, role or workflow instance. Although this class supports multiple instances, they must all use the same server URL.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JScrollPane
`javax.swing.JScrollPane.AccessibleJScrollPane, javax.swing.JScrollPane.ScrollBar`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static javax.swing.table.TableColumnModel` | `allColumns` A table column model containing the set of all displayable columns.
`static boolean` | `debug` Set to `true` to enable diagnostic output.

Fields inherited from class javax.swing.JScrollPane
`columnHeader, horizontalScrollBar, horizontalScrollBarPolicy, lowerLeft, lowerRight, rowHeader, upperLeft, upperRight, verticalScrollBar, verticalScrollBarPolicy, viewport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`Tasklist(WLPI wlpi, javax.swing.table.TableColumnModel columns, java.lang.String instanceId)` Create a `Tasklist` for the specified workflow instance.
`Tasklist(WLPI wlpi, javax.swing.table.TableColumnModel columns, java.lang.String listId, boolean bRole, boolean bPending, boolean bDone, boolean bInactive)` Create a `Tasklist` for the specified user or role.

Method Summary
`void` | `exit()` Called when the task list is no longer required, in order that the task list may perform cleanup operations.
`javax.swing.table.TableColumnModel` | `getColumnModel()` Return the underlying `TableColumnModel` object.
`TaskInfo` | `getCurrentObject()` Return the currently selected task.
`javax.swing.table.TableModel` | `getModel()` Return the underlying `TableModel` object.
`javax.swing.JTable` | `getTable()` Return the underlying `JTable` object.
`static void` | `init(java.lang.String jndiFactory, java.lang.String jmsFactory, java.lang.String topicName)` Initialize installation-specific settings.
`void` | `onMessage(javax.jms.Message msg)` Respond to a JMS task notification message.
`void` | `paint(java.awt.Graphics g)` Overridden to implement a workaround for a Swing bug - In JDK 1.2 JTable paints the unused area of a list in the wrong color.
`void` | `refresh()` Rebuild the contents of this task list.
`void` | `setFilters(boolean bPending, boolean bDone, boolean bInactive)` Set the list filtering.

Methods inherited from class javax.swing.JScrollPane
`createHorizontalScrollBar, createVerticalScrollBar, createViewport, getAccessibleContext, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getUI, getUIClassID, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorder, getViewportBorderBounds, isValidateRoot, paramString, setColumnHeader, setColumnHeaderView, setComponentOrientation, setCorner, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setLayout, setRowHeader, setRowHeaderView, setUI, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### debug

    public static boolean debug

  Set to `true` to enable diagnostic output.

### allColumns

    public static javax.swing.table.TableColumnModel allColumns

  A table column model containing the set of all displayable columns.

Constructor Detail

### Tasklist

    public Tasklist(WLPI wlpi,
                    javax.swing.table.TableColumnModel columns,
                    java.lang.String listId,
                    boolean bRole,
                    boolean bPending,
                    boolean bDone,
                    boolean bInactive)
             throws WorkflowException

  Create a `Tasklist` for the specified user or role.

  Parameters:
    `wlpi` - The WebLogic Process Integrator server connection to use.
    `columns` - The column model to use.
    `listId` - The ID of the user or role.
    `bRole` - `true` if this is a task list for a role.
    `bPending` - `true` to include pending tasks.
    `bDone` - `true` to include completed tasks.
    `bInactive` - `true` to include inactive tasks.

### Tasklist

    public Tasklist(WLPI wlpi,
                    javax.swing.table.TableColumnModel columns,
                    java.lang.String instanceId)
             throws WorkflowException

  Create a `Tasklist` for the specified workflow instance.

  Parameters:
    `wlpi` - The WebLogic Process Integrator server connection to use.
    `columns` - The column model to use.
    `instanceId` - The workflow instance ID.

Method Detail

### init

    public static void init(java.lang.String jndiFactory,
                            java.lang.String jmsFactory,
                            java.lang.String topicName)

  Initialize installation-specific settings. These settings override the hard-coded defaults for the class as described below.

  Parameters:
    `jndiFactory` - The fully qualified class name of JNDI initial context factory. The default value is `weblogic.jndi.WLInitialContextFactor`.
    `jmsFactory` - The JNDI name of the JMS topic connection factory to use. The default value is `javax.jms.TopicConnectionFactory`.
    `topicName` - The JNDI name of the JMS topic on which the server broadcasts worklist-related update notifications. The default value is `com.bea.wlpi.NotifyTopic`

### exit

    public void exit()

  Called when the task list is no longer required, in order that the task list may perform cleanup operations. The implementation closes the connection to the JMS notification topic.

### getTable

    public javax.swing.JTable getTable()

  Return the underlying `JTable` object.

  Returns:
    The underlying `JTable` object.

### getModel

    public javax.swing.table.TableModel getModel()

  Return the underlying `TableModel` object.

  Returns:
    The underlying `TableModel` object.

### getColumnModel

    public javax.swing.table.TableColumnModel getColumnModel()

  Return the underlying `TableColumnModel` object.

  Returns:
    the underlying `TableColumnModel` object.

### onMessage

    public void onMessage(javax.jms.Message msg)

  Respond to a JMS task notification message.
  Specified by:
    onMessage in interface javax.jms.MessageListener

  Parameters:
    `e` - The notification message.

### refresh

    public void refresh()
                 throws WorkflowException

  Rebuild the contents of this task list.

  Throws:
    WorkflowException - if an exception prevented the server from returning the list of tasks or if a communications error occurred.

### setFilters

    public void setFilters(boolean bPending,
                           boolean bDone,
                           boolean bInactive)

  Set the list filtering.

  Parameters:
    `bPending` - `true` to include pending tasks.
    `bDone` - `true` to include completed tasks.
    `bInactive` - `true` to include inactive tasks.

### getCurrentObject

    public TaskInfo getCurrentObject()

  Return the currently selected task.

  Returns:
    The currently selected task (or null if no selection).

### paint

    public void paint(java.awt.Graphics g)

  Overridden to implement a workaround for a Swing bug - In JDK 1.2 JTable paints the unused area of a list in the wrong color.

  Parameters:
    `g` - The graphics object to use.
  Overrides:
    paint in class javax.swing.JComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)